Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 456300 - IPMI: Restrict keyboard io port reservation
Summary: IPMI: Restrict keyboard io port reservation
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel
Version: 5.3
Hardware: All
OS: Linux
low
low
Target Milestone: rc
: ---
Assignee: Peter Martuccelli
QA Contact: Martin Jenner
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-22 17:57 UTC by Peter Martuccelli
Modified: 2009-01-20 20:25 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-01-20 20:25:26 UTC


Attachments (Terms of Use)
Restrict keyboard io port reservation (deleted)
2008-07-24 19:52 UTC, Markus Armbruster
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2009:0225 normal SHIPPED_LIVE Important: Red Hat Enterprise Linux 5.3 kernel security and bug fix update 2009-01-20 16:06:24 UTC

Description Peter Martuccelli 2008-07-22 17:57:19 UTC
Gitweb:    
http://git.kernel.org/git/?p=linux/kernel/git/torvalds/linux-2.6.git;a=commit;h=9096bd7a66efbe406910365c5206a32eed3875af
Commit:     9096bd7a66efbe406910365c5206a32eed3875af
Parent:     fd3c3ed5d1e3ceb37635cbe6d220ab94aae0781d
Author:     Helge Wagner <Helge.Wagner@gefanuc.com>
AuthorDate: Tue Apr 29 14:20:40 2008 +0200
Committer:  Thomas Gleixner <tglx@linutronix.de>
CommitDate: Sat May 10 19:31:45 2008 +0200

    x86: restrict keyboard io ports reservation to make ipmi driver work
    
    On some of our (single board computer) boards (x86) we are using an
    IPMI controller that uses I/O ports 0x62 and 0x66 for a KCS (keyboard
    controller style) IPMI system interface.
    
    Trying to load the openipmi driver fails, because the ports
    (0x62/0x66) are reserved for keyboard. keyboard reserves the full
    range 0x60-0x6F while it doesn't need to.
    
    Reserve only ports 0x60 and 0x64 for the legacy PS/2 i8042 keyboad
    controller instead of 0x60-0x6F to allow the openipmi driver to work.

Comment 1 RHEL Product and Program Management 2008-07-22 18:02:37 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 3 Markus Armbruster 2008-07-24 19:52:45 UTC
Created attachment 312591 [details]
Restrict keyboard io port reservation

Straightforward backport from the upstream commit referenced in the bug
description, extended to cover Xen.  Submitted to xen-devel unchanged, as it
applies cleanly to their (non-pvops) kernel.

Comment 4 Markus Armbruster 2008-07-25 13:14:51 UTC
Patch from comment#3 is now in http://xenbits.xensource.com/linux-2.6.18-xen.hg
as changeset 617:6d9e4b02bba4.


Comment 5 Don Zickus 2008-07-31 00:49:36 UTC
in kernel-2.6.18-101.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5

Comment 9 errata-xmlrpc 2009-01-20 20:25:26 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-0225.html


Note You need to log in before you can comment on or make changes to this bug.